var a;
(a = getApp()),
  Page({
    data: { block: 0, saleinfo: [], unitid: 123 },
    onLoad: function (n) {
      var t = this;
      console.log(123),
        a.util.request({
          url: "entry/wxapp/Api",
          data: {  r: "sale.index.salenew" },
          cachetime: "0",
          success: function (a) {
            console.log(a),
              t.setData({ saleinfo: a.data.data }),
              2 == a.data.data.sell_flow &&
                "" != a.data.data.flow_id &&
                t.setData({ unitid: a.data.data.flow_id }),
              wx.setNavigationBarTitle({ title: a.data.data.name });
          },
        });
    },
    saletap: function () {
      wx.navigateTo({ url: "../sale/index" });
    },
    gujia: function () {
      wx.navigateTo({ url: "/packageA/pages/caresgz/index" });
    },
    none_click: function () {
      this.setData({ block: 0 });
    },
    block_click: function () {
      wx.makePhoneCall({ phoneNumber: this.data.saleinfo.phone });
    },
    onReady: function () {},
    onShow: function () {},
    onHide: function () {},
    onUnload: function () {},
    onPullDownRefresh: function () {},
    onReachBottom: function () {},
    onShareAppMessage: function () {},
  });
